Bug 159289 - PORT UPDATE: devel/aegis bump version and take maintanership
Summary: PORT UPDATE: devel/aegis bump version and take maintanership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-29 10:00 UTC by aryeh.friedman
Modified: 2011-08-18 21:30 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (812 bytes, patch)
2011-07-29 10:00 UTC, aryeh.friedman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description aryeh.friedman 2011-07-29 10:00:23 UTC
	* Bump version to 4.24.3 (including critical bug fixes and security fixes)
	* Take maintership
Comment 1 Rene Ladan freebsd_committer 2011-07-30 12:11:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 2 Rene Ladan freebsd_committer 2011-07-30 12:23:26 UTC
The attached patch only contains removal of the old version (4.24_5)
but nothing new, can you re-attach the patch?
Comment 3 Rene Ladan freebsd_committer 2011-07-30 12:23:39 UTC
State Changed
From-To: open->feedback

Awaiting submitters feedback for more complete patch
Comment 4 aryeh.friedman 2011-07-30 12:28:05 UTC
The ftp address has changed slightly but I do not see where to make the
change (if it is a standard sourceforge thing then I guess it is ok)

===================================================================
RCS file: /home/ncvs/ports/devel/aegis/Makefile,v
retrieving revision 1.19
diff -u -r1.19 Makefile
--- Makefile    11 Oct 2010 02:27:02 -0000    1.19
+++ Makefile    28 Jul 2011 13:18:50 -0000
@@ -6,12 +6,12 @@
 #

 PORTNAME=    aegis
-PORTVERSION=    4.24
-PORTREVISION=    5
+PORTVERSION=    4.24.3
+PORTREVISION=    6
 CATEGORIES=    devel
 MASTER_SITES=    SF

-MAINTAINER=    ports@FreeBSD.org
+MAINTAINER=    aryeh.friedman@gmail.com
 COMMENT=    Transaction-based software configuration management system

 LIB_DEPENDS=    curl.6:${PORTSDIR}/ftp/curl
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/devel/aegis/distinfo,v
retrieving revision 1.6
diff -u -r1.6 distinfo
--- distinfo    3 Jul 2011 14:55:10 -0000    1.6
+++ distinfo    28 Jul 2011 13:20:41 -0000
@@ -1,2 +1,2 @@
-SHA256 (aegis-4.24.tar.gz) =
54b23a7c66f4331465ab512d7686e2a526a1d8f2ffae770225acbaacb43648a3
-SIZE (aegis-4.24.tar.gz) = 5063689
+SHA256 (aegis-4.24.3.tar.gz) =
0ecedfbb7dbd89107c927d00ab44b9291f31257a23f9ed4dcca29c58bb8b5767
+SIZE (aegis-4.24.3.tar.gz) = 4180073


On Sat, Jul 30, 2011 at 7:23 AM, René Ladan <rene@freebsd.org> wrote:

> The attached patch only contains removal of the old version (4.24_5)
> but nothing new, can you re-attach the patch?

>
Comment 5 aryeh.friedman 2011-07-30 12:31:56 UTC
Oops also forgot to mention that the patchs in "files/" are no longer needed
but I see no way to have that included in the patch

On Sat, Jul 30, 2011 at 7:28 AM, Aryeh Friedman <aryeh.friedman@gmail.com>wrote:

> The ftp address has changed slightly but I do not see where to make the
> change (if it is a standard sourceforge thing then I guess it is ok)
>
> ===================================================================
> RCS file: /home/ncvs/ports/devel/aegis/Makefile,v
> retrieving revision 1.19
> diff -u -r1.19 Makefile
> --- Makefile    11 Oct 2010 02:27:02 -0000    1.19
> +++ Makefile    28 Jul 2011 13:18:50 -0000
> @@ -6,12 +6,12 @@
>  #
>
>  PORTNAME=    aegis
> -PORTVERSION=    4.24
> -PORTREVISION=    5
> +PORTVERSION=    4.24.3
> +PORTREVISION=    6
>  CATEGORIES=    devel
>  MASTER_SITES=    SF
>
> -MAINTAINER=    ports@FreeBSD.org
> +MAINTAINER=    aryeh.friedman@gmail.com
>  COMMENT=    Transaction-based software configuration management system
>
>  LIB_DEPENDS=    curl.6:${PORTSDIR}/ftp/curl
> Index: distinfo
> ===================================================================
> RCS file: /home/ncvs/ports/devel/aegis/distinfo,v
> retrieving revision 1.6
> diff -u -r1.6 distinfo
> --- distinfo    3 Jul 2011 14:55:10 -0000    1.6
> +++ distinfo    28 Jul 2011 13:20:41 -0000
> @@ -1,2 +1,2 @@
> -SHA256 (aegis-4.24.tar.gz) =
> 54b23a7c66f4331465ab512d7686e2a526a1d8f2ffae770225acbaacb43648a3
> -SIZE (aegis-4.24.tar.gz) = 5063689
> +SHA256 (aegis-4.24.3.tar.gz) =
> 0ecedfbb7dbd89107c927d00ab44b9291f31257a23f9ed4dcca29c58bb8b5767
> +SIZE (aegis-4.24.3.tar.gz) = 4180073
>
>
>
> On Sat, Jul 30, 2011 at 7:23 AM, René Ladan <rene@freebsd.org> wrote:
>
>> The attached patch only contains removal of the old version (4.24_5)
>> but nothing new, can you re-attach the patch?
>>
>

>
Comment 6 Rene Ladan freebsd_committer 2011-07-30 13:37:45 UTC
2011/7/30 Aryeh Friedman <aryeh.friedman@gmail.com>:
> Oops also forgot to mention that the patchs in "files/" are no longer nee=
ded
> but I see no way to have that included in the patch
>
> On Sat, Jul 30, 2011 at 7:28 AM, Aryeh Friedman <aryeh.friedman@gmail.com=
>
> wrote:
>>
>> The ftp address has changed slightly but I do not see where to make the
>> change (if it is a standard sourceforge thing then I guess it is ok)
>>
>> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
>> RCS file: /home/ncvs/ports/devel/aegis/Makefile,v
>> retrieving revision 1.19
>> diff -u -r1.19 Makefile
>> --- Makefile=A0=A0=A0 11 Oct 2010 02:27:02 -0000=A0=A0=A0 1.19
>> +++ Makefile=A0=A0=A0 28 Jul 2011 13:18:50 -0000
>> @@ -6,12 +6,12 @@
>> =A0#
>>
>> =A0PORTNAME=3D=A0=A0=A0 aegis
>> -PORTVERSION=3D=A0=A0=A0 4.24
>> -PORTREVISION=3D=A0=A0=A0 5
>> +PORTVERSION=3D=A0=A0=A0 4.24.3
>> +PORTREVISION=3D=A0=A0=A0 6
>> =A0CATEGORIES=3D=A0=A0=A0 devel
>> =A0MASTER_SITES=3D=A0=A0=A0 SF
>>
>> -MAINTAINER=3D=A0=A0=A0 ports@FreeBSD.org
>> +MAINTAINER=3D=A0=A0=A0 aryeh.friedman@gmail.com
>> =A0COMMENT=3D=A0=A0=A0 Transaction-based software configuration manageme=
nt system
>>
>> =A0LIB_DEPENDS=3D=A0=A0=A0 curl.6:${PORTSDIR}/ftp/curl
>> Index: distinfo
>> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
>> RCS file: /home/ncvs/ports/devel/aegis/distinfo,v
>> retrieving revision 1.6
>> diff -u -r1.6 distinfo
>> --- distinfo=A0=A0=A0 3 Jul 2011 14:55:10 -0000=A0=A0=A0 1.6
>> +++ distinfo=A0=A0=A0 28 Jul 2011 13:20:41 -0000
>> @@ -1,2 +1,2 @@
>> -SHA256 (aegis-4.24.tar.gz) =3D
>> 54b23a7c66f4331465ab512d7686e2a526a1d8f2ffae770225acbaacb43648a3
>> -SIZE (aegis-4.24.tar.gz) =3D 5063689
>> +SHA256 (aegis-4.24.3.tar.gz) =3D
>> 0ecedfbb7dbd89107c927d00ab44b9291f31257a23f9ed4dcca29c58bb8b5767
>> +SIZE (aegis-4.24.3.tar.gz) =3D 4180073
>>
>>
>> On Sat, Jul 30, 2011 at 7:23 AM, Ren=E9 Ladan <rene@freebsd.org> wrote:
>>>
>>> The attached patch only contains removal of the old version (4.24_5)
>>> but nothing new, can you re-attach the patch?
>>
>
>
There are some packaging errors, see
http://rene-ladan.nl:8080/tb/errors/8-FreeBSD/aegis-4.24.3.log
Can you fix the pkg-plist ?

The current patch is at ftp://rene-ladan.nl/pub/freebsd/aegis.diff
Comment 7 Rene Ladan freebsd_committer 2011-07-30 22:47:55 UTC
2011/7/30 Aryeh Friedman <aryeh.friedman@gmail.com>:
> Here is the new patch (sorry for being a maintainer newbie):
>
This patch does not contain anything new and the pkg-plist is still
incorrect causing the package build to fail.  I made some further
changes to the port
[1] but somehow the manual pages are now installed in from
/usr/local/man/ instead of /usr/local/share/en/ which makes things
unnecesarily complex.  Can you investigate this?

[1] ftp://rene-ladan.nl/pub/freebsd/aegis.diff

> diff -ruN devel/aegis.old/CVS/Entries devel/aegis/CVS/Entries
> --- devel/aegis.old/CVS/Entries=A0=A0=A0 2011-07-30 14:42:44.000000000 -0=
400
> +++ devel/aegis/CVS/Entries=A0=A0=A0 2011-07-10 22:12:23.000000000 -0400
> @@ -1,6 +1,6 @@
> =A0/Makefile/1.19/Mon Oct 11 02:27:02 2010//
> -/distinfo/1.6/Sun Jul=A0 3 14:55:10 2011//
> =A0/pkg-descr/1.3/Fri Jan=A0 4 18:32:32 2008//
> =A0/pkg-message/1.1/Sat Jan=A0 5 00:57:13 2008//
> =A0/pkg-plist/1.6/Sun Mar 23 18:45:00 2008//
> =A0D/files////
> +/distinfo/1.6/Mon Jul 11 02:12:23 2011//
> diff -ruN devel/aegis.old/Makefile devel/aegis/Makefile
> --- devel/aegis.old/Makefile=A0=A0=A0 2010-10-10 22:27:02.000000000 -0400
> +++ devel/aegis/Makefile=A0=A0=A0 2011-07-30 14:45:03.000000000 -0400
> @@ -6,12 +6,12 @@
> =A0#
>
> =A0PORTNAME=3D=A0=A0=A0 aegis
> -PORTVERSION=3D=A0=A0=A0 4.24
> +PORTVERSION=3D=A0=A0=A0 4.24.3
> =A0PORTREVISION=3D=A0=A0=A0 5
> =A0CATEGORIES=3D=A0=A0=A0 devel
> =A0MASTER_SITES=3D=A0=A0=A0 SF
>
> -MAINTAINER=3D=A0=A0=A0 ports@FreeBSD.org
> +MAINTAINER=3D=A0=A0=A0 aryeh.friedman@gmail.com
> =A0COMMENT=3D=A0=A0=A0 Transaction-based software configuration managemen=
t system
>
> =A0LIB_DEPENDS=3D=A0=A0=A0 curl.6:${PORTSDIR}/ftp/curl
> diff -ruN devel/aegis.old/distinfo devel/aegis/distinfo
> --- devel/aegis.old/distinfo=A0=A0=A0 2011-07-03 10:55:10.000000000 -0400
> +++ devel/aegis/distinfo=A0=A0=A0 2011-07-28 09:20:41.000000000 -0400
> @@ -1,2 +1,2 @@
> -SHA256 (aegis-4.24.tar.gz) =3D
> 54b23a7c66f4331465ab512d7686e2a526a1d8f2ffae770225acbaacb43648a3
> -SIZE (aegis-4.24.tar.gz) =3D 5063689
> +SHA256 (aegis-4.24.3.tar.gz) =3D
> 0ecedfbb7dbd89107c927d00ab44b9291f31257a23f9ed4dcca29c58bb8b5767
> +SIZE (aegis-4.24.3.tar.gz) =3D 4180073
> diff -ruN devel/aegis.old/files/CVS/Entries devel/aegis/files/CVS/Entries
> --- devel/aegis.old/files/CVS/Entries=A0=A0=A0 2011-07-30 14:42:44.000000=
000 -0400
> +++ devel/aegis/files/CVS/Entries=A0=A0=A0 1969-12-31 19:00:00.000000000 =
-0500
> @@ -1,4 +0,0 @@
> -/extra-patch-libaegis__wide_output__header.h/1.1/Sun Mar 23 18:49:30 200=
8//
> -/patch-Makefile.in/1.3/Fri Jan=A0 4 18:32:32 2008//
> -/patch-configure/1.1/Mon Aug 11 01:34:45 2008//
> -D
> diff -ruN devel/aegis.old/files/CVS/Repository
> devel/aegis/files/CVS/Repository
> --- devel/aegis.old/files/CVS/Repository=A0=A0=A0 2011-07-30 14:42:44.000=
000000
> -0400
> +++ devel/aegis/files/CVS/Repository=A0=A0=A0 1969-12-31 19:00:00.0000000=
00 -0500
> @@ -1 +0,0 @@
> -ports/devel/aegis/files
> diff -ruN devel/aegis.old/files/CVS/Root devel/aegis/files/CVS/Root
> --- devel/aegis.old/files/CVS/Root=A0=A0=A0 2011-07-30 14:42:44.000000000=
 -0400
> +++ devel/aegis/files/CVS/Root=A0=A0=A0 1969-12-31 19:00:00.000000000 -05=
00
> @@ -1 +0,0 @@
> -/home/ncvs
> diff -ruN devel/aegis.old/files/extra-patch-libaegis__wide_output__header=
.h
> devel/aegis/files/extra-patch-libaegis__wide_output__header.h
> --- devel/aegis.old/files/extra-patch-libaegis__wide_output__header.h
> 2008-03-23 14:49:30.000000000 -0400
> +++ devel/aegis/files/extra-patch-libaegis__wide_output__header.h
> 1969-12-31 19:00:00.000000000 -0500
> @@ -1,10 +0,0 @@
> ---- ./libaegis/wide_output/header.h.orig=A0=A0=A0 2008-03-09 20:08:17.00=
0000000
> -0200
> -+++ ./libaegis/wide_output/header.h=A0=A0=A0 2008-03-22 15:46:10.0000000=
00 -0300
> -@@ -22,6 +22,7 @@
> -
> - #include <common/wstring.h>
> - #include <libaegis/wide_output.h>
> -+#include <time.h>
> -
> - /**
> -=A0=A0 * The wide_output_header class is used to add page headers to the
> output.
> diff -ruN devel/aegis.old/files/patch-Makefile.in
> devel/aegis/files/patch-Makefile.in
> --- devel/aegis.old/files/patch-Makefile.in=A0=A0=A0 2008-01-04 13:32:32.=
000000000
> -0500
> +++ devel/aegis/files/patch-Makefile.in=A0=A0=A0 1969-12-31 19:00:00.0000=
00000
> -0500
> @@ -1,30 +0,0 @@
> ---- ./Makefile.in.orig=A0=A0=A0 Wed Mar 29 06:07:48 2006
> -+++ ./Makefile.in=A0=A0=A0 Fri Dec 21 03:23:09 2007
> -@@ -25500,8 +25500,7 @@
> -
> - LibFiles =3D
> -
> --DataFiles =3D $(RPM_BUILD_ROOT)$(sysconfdir)/profile.d/aegis.sh \
> --=A0=A0=A0 =A0=A0=A0 $(RPM_BUILD_ROOT)$(sysconfdir)/profile.d/aegis.csh =
\
> -+DataFiles =3D \
> - =A0=A0=A0 =A0=A0=A0 $(RPM_BUILD_ROOT)$(datadir)/aedefault.css \
> - =A0=A0=A0 =A0=A0=A0 $(RPM_BUILD_ROOT)$(datadir)/aegis.icon \
> - =A0=A0=A0 =A0=A0=A0 $(RPM_BUILD_ROOT)$(datadir)/aegis.mask \
> -@@ -25563,8 +25562,6 @@
> - =A0=A0=A0 =A0=A0=A0 $(RPM_BUILD_ROOT)$(datadir)/if.sh \
> - =A0=A0=A0 =A0=A0=A0 $(RPM_BUILD_ROOT)$(datadir)/ip.inews.sh \
> - =A0=A0=A0 =A0=A0=A0 $(RPM_BUILD_ROOT)$(datadir)/ip.sh \
> --=A0=A0=A0 =A0=A0=A0 $(RPM_BUILD_ROOT)$(datadir)/man1/en/ae_c.1 \
> --=A0=A0=A0 =A0=A0=A0 $(RPM_BUILD_ROOT)$(datadir)/man1/en/ae_p.1 \
> - =A0=A0=A0 =A0=A0=A0 $(RPM_BUILD_ROOT)$(datadir)/profile \
> - =A0=A0=A0 =A0=A0=A0 $(RPM_BUILD_ROOT)$(datadir)/remind/awt_dvlp.sh \
> - =A0=A0=A0 =A0=A0=A0 $(RPM_BUILD_ROOT)$(datadir)/remind/awt_intgrtn.sh \
> -@@ -28305,7 +28302,7 @@
> -
> - install-man: install-man-$(HAVE_GROFF)
> -
> --install-doc: install-doc-$(HAVE_GROFF)
> -+install-doc:
> -
> - install: install-bin install-lib install-po install-man install-doc
> -
> diff -ruN devel/aegis.old/files/patch-configure
> devel/aegis/files/patch-configure
> --- devel/aegis.old/files/patch-configure=A0=A0=A0 2008-08-10 21:34:45.00=
0000000
> -0400
> +++ devel/aegis/files/patch-configure=A0=A0=A0 1969-12-31 19:00:00.000000=
000 -0500
> @@ -1,20 +0,0 @@
> ---- configure.orig=A0=A0=A0 2008-03-09 20:08:17.000000000 -0200
> -+++ configure=A0=A0=A0 2008-08-10 22:29:25.000000000 -0300
> -@@ -7155,7 +7155,7 @@
> -
> - if test -n "$MANPATH_PROG"
> - then
> --=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0 MANPATH_PROG=
=3D"$MANPATH_PROG 2>/dev/null"
> -+=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0 MANPATH_PROG=
=3D"$MANPATH_PROG"
> - else
> -=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=A0=
=A0=A0=A0=A0 temp_str=3D`man -w 2>/dev/null`
> -=A0=A0=A0=A0 if test -n "$temp_str"
> -@@ -8868,6 +8868,8 @@
> - fi
> - done
> -
> -+echo "#undef HAVE_STRVERSCMP" >> confdefs.h
> -+
> - { echo "$as_me:$LINENO: checking whether crypt is declared" >&5
> - echo $ECHO_N "checking whether crypt is declared... $ECHO_C" >&6; }
> - if test "${ac_cv_have_decl_crypt+set}" =3D set; then
>
Comment 8 Rene Ladan freebsd_committer 2011-08-14 21:33:58 UTC
Responsible Changed
From-To: rene->freebsd-ports-bugs

Back to pool, no response in two weeks while PR sent as critical/high
Comment 9 Chris Rees freebsd_committer 2011-08-14 21:58:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 10 Chris Rees freebsd_committer 2011-08-17 07:42:00 UTC
Class Changed
From-To: maintainer-update->change-request

Please do NOT send PRs in like this with critical/high severity/priority-- it only serves to annoy us.
Comment 11 dfilter service freebsd_committer 2011-08-18 21:22:40 UTC
crees       2011-08-18 20:22:31 UTC

  FreeBSD ports repository

  Modified files:
    devel/aegis          Makefile distinfo pkg-plist 
  Removed files:
    devel/aegis/files    
                         extra-patch-libaegis__wide_output__header.h 
                         patch-Makefile.in patch-configure 
  Log:
  - Update to 4.24.3
  - Pass maintainership to submitter
  - While here, use PORTDATA and PORTDOCS
  
  PR:             ports/159289
  Submitted by:   aryeh.friedman@gmail.com
  
  Revision  Changes    Path
  1.20      +12 -12    ports/devel/aegis/Makefile
  1.7       +2 -2      ports/devel/aegis/distinfo
  1.2       +0 -10     ports/devel/aegis/files/extra-patch-libaegis__wide_output__header.h (dead)
  1.4       +0 -30     ports/devel/aegis/files/patch-Makefile.in (dead)
  1.2       +0 -20     ports/devel/aegis/files/patch-configure (dead)
  1.7       +4 -161    ports/devel/aegis/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Chris Rees freebsd_committer 2011-08-18 21:23:36 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks! *Please* get in touch with 
upstream about how they install manpages -- ask them if there's an easy 
way to have them generate in a temporary location which is deleted 
before install finishes, so we aren't packaging up two of each manpage.